Subject: Re: [PATCHv19 00/11] Expose submodule parallelism to the user

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Feb 2016 13:19:31 -0800

Stefan Beller <[email-masked]> writes:

> Maybe we want to remove the struct child_process from the
> function signature of the callbacks and callbacks need to rely on
> the data provided solely thru the pointer as passed around for
> callback purposes, which the user is free to use for any kind
> of data.

I think that is the most sensible.

> As a rather quickfix for 2.8 (and 2.7) we could however just
> breakup the finish_command function and call child_process_clear
> after the callbacks have run.

That would not fix the case where run_command() fails, clears child
and then start failure callback, no?